org.apache.felix.connect.launch

## Interface PojoServiceRegistry

All Known Implementing Classes:
  PojoSR

    public interface PojoServiceRegistry

### Method Summary

Methods
`void` `addServiceListener(org.osgi.framework.ServiceListener listener)`
`void` `addServiceListener(org.osgi.framework.ServiceListener listener, String filter)`
`org.osgi.framework.BundleContext` `getBundleContext()`
`<S> S` `getService(org.osgi.framework.ServiceReference<S> reference)`
`org.osgi.framework.ServiceReference<?>` `getServiceReference(String clazz)`
`org.osgi.framework.ServiceReference<?>[]` `getServiceReferences(String clazz, String filter)`
`org.osgi.framework.ServiceRegistration<?>` `registerService(String[] clazzes, Object service, Dictionary<String,?> properties)`
`org.osgi.framework.ServiceRegistration<?>` `registerService(String clazz, Object service, Dictionary<String,?> properties)`
`void` `removeServiceListener(org.osgi.framework.ServiceListener listener)`
`void` `startBundles(Collection<BundleDescriptor> bundles)`
`boolean` `ungetService(org.osgi.framework.ServiceReference<?> reference)`

### Method Detail

#### getBundleContext

    org.osgi.framework.BundleContext getBundleContext()

#### startBundles

    void startBundles(Collection<BundleDescriptor> bundles)
                      throws Exception

Throws:
  `Exception`

#### addServiceListener

    void addServiceListener(org.osgi.framework.ServiceListener listener,
                          String filter)
                            throws org.osgi.framework.InvalidSyntaxException

Throws:
  `org.osgi.framework.InvalidSyntaxException`

#### addServiceListener

    void addServiceListener(org.osgi.framework.ServiceListener listener)

#### removeServiceListener

    void removeServiceListener(org.osgi.framework.ServiceListener listener)

#### registerService

    org.osgi.framework.ServiceRegistration<?> registerService(String[] clazzes,
                                                            Object service,
                                                            Dictionary<String,?> properties)

#### registerService

    org.osgi.framework.ServiceRegistration<?> registerService(String clazz,
                                                            Object service,
                                                            Dictionary<String,?> properties)

#### getServiceReferences

    org.osgi.framework.ServiceReference<?>[] getServiceReferences(String clazz,
                                                                String filter)
                                                                  throws org.osgi.framework.InvalidSyntaxException

Throws:
  `org.osgi.framework.InvalidSyntaxException`

#### getServiceReference

    org.osgi.framework.ServiceReference<?> getServiceReference(String clazz)

#### getService

    <S> S getService(org.osgi.framework.ServiceReference<S> reference)

#### ungetService

    boolean ungetService(org.osgi.framework.ServiceReference<?> reference)